Changes between Version 17 and Version 18 of PythonOcc/primitives


Ignore:
Timestamp:
Nov 6, 2013, 7:39:56 PM (6 years ago)
Author:
Leon Kos
Comment:

Prestavi slike in briši BRje

Legend:

Unmodified
Added
Removed
Modified
  • PythonOcc/primitives

    v17 v18  
    246246start_display()
    247247}}}
    248 [[BR]][[BR]][[BR]][[BR]]
    249248----
    250249
    251250
    252251== Uporaba geometrijskih primitivov ==
    253 [[BR]][[BR]]
    254 Izdelava kvadra [[Image(Kvader.png, right)]]
     252
     253Izdelava kvadra
    255254{{{
    256255#!python
     
    259258kvader = BRepPrimAPI_MakeBox(Tocka1, Tocka2)
    260259}}}
     260[[Image(Kvader.png)]]
     261
    261262Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeBox.html BRepPrimAPI__MakeBox] izdelamo tridimenzionalni model oblike kvadra. Pri tem lahko uporabimo več različnih argumentov:
    262263 * (dolzina_X, dolzina_Y, dolzina_Z) ... kvader določimo z razdaljami posameznih robov[[BR]][[BR]]
    263264 * (Tocka1, dolzina_X, dolzina_Y, dolzina_Z) ... kvader se prične izrisovati od točke 1 (X,Y,Z) dalje inje določen z razdaljami posameznih robov[[BR]][[BR]]
    264  * (Tocka 1, Tocka2) ... kvader določimo s koordinatami dveh točk, ki ježita v nasproti ležečih ogljiščih[[BR]][[BR]]
    265 [[BR]][[BR]][[BR]][[BR]]
    266 
    267 Izdelava izvleka pod kotom nagiba [[Image(Kvader-nagib.png, right)]]
     265 * (Tocka 1, Tocka2) ... kvader določimo s koordinatami dveh točk, ki ježita v nasproti ležečih ogliščih
     266
     267Izdelava izvleka pod kotom nagiba
    268268{{{
    269269#!python
     
    273273kvader= BRepPrimAPI_MakeWedge(dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, dolzina_Z/2, dolzina_X/2, dolzina_Z/2)
    274274}}}
     275[[Image(Kvader-nagib.png)]]
     276
    275277Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeWedge.html BRepPrimAPI__MakeWedge] izdelamo tridimenzionalni model oblike kvadra s koti nagiba. Pri tem lahko uporabimo več različnih argumentov:
    276278 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X2) ... določimo razdalje posameznih robov kvadra, ter dimenzijo spremenjenega roba X[[BR]][[BR]]
    277  * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_Xmin, dolzina_Zmin, dolzina_Xmax, dolzina_Zmax) ... določimo razdalje posameznih robov kvadra, ter minimalne in maksimalne dimenzije robov X in Z[[BR]][[BR]]
     279 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_Xmin, dolzina_Zmin, dolzina_Xmax, dolzina_Zmax) ... določimo razdalje posameznih robov kvadra, ter minimalne in maksimalne dimenzije robov X in Z
    278280 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, 0, dolzina_X/2, dolzina_Z) ... določimo razdalje posameznih robov kvadra, ter dimenzijo spremenjenega roba Z[[BR]][[BR]]
    279  * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, dolzina_Z/2, dolzina_X/2, dolzina_Z/2)... določimo razdalje posameznih robov kvadra, preostali argumenti nam podajo obliko piramide[[BR]][[BR]]
    280 [[BR]][[BR]][[BR]][[BR]]
    281 
    282 Izdelava valja [[Image(Valj.png, right)]]
     281 * (dolzina_X, dolzina_Y, dolzina_Z, dolzina_X/2, dolzina_Z/2, dolzina_X/2, dolzina_Z/2)... določimo razdalje posameznih robov kvadra, preostali argumenti nam podajo obliko piramide
     282
     283Izdelava valja
    283284{{{
    284285#!python
     
    286287valj= BRepPrimAPI_MakeCylinder(Os, Radij, Visina, Kot_radiani)
    287288}}}
     289[[Image(Valj.png)]]
     290
    288291Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeCylinder.html BRepPrimAPI__MakeCylinder] izdelamo tridimenzionalni model oblike valja. Pri tem lahko uporabimo več različnih argumentov:
    289  * (Radij, Visina) ... izdelamo valj z določenim radijem in višino[[BR]][[BR]]
    290  * (Radij, Visina, Kot_radiani) ... izdelamo delj valja za nastavljen kot z določenim radijem in višino[[BR]][[BR]]
    291  * (Os, Radij, Visina, Kot_radiani) ... izdelamo delj valja za nastavljen kot z določenim radijem in višino in ki ima nastavljeno poljubno os[[BR]][[BR]]
     292 * (Radij, Visina) ... izdelamo valj z določenim radijem in višino
     293 * (Radij, Visina, Kot_radiani) ... izdelamo delj valja za nastavljen kot z določenim radijem in višino
     294 * (Os, Radij, Visina, Kot_radiani) ... izdelamo delj valja za nastavljen kot z določenim radijem in višino in ki ima nastavljeno poljubno os
    292295Os valja definiramo kot:
    293296{{{
     
    297300os = gp_Ax2(Tocka, normala)     #definicija osi
    298301}}}
    299 [[BR]][[BR]][[BR]][[BR]]
    300 
    301 Izdelava stožca [[Image(Stozec.png, right)]]
     302
     303Izdelava stožca
    302304{{{
    303305#!python
     
    305307stozec= BRepPrimAPI_MakeCone(Os, Radij_1, Radij_2, Visina, Kot_radiani)
    306308}}}
     309[[Image(Stozec.png)]]
    307310Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeCone.html BRepPrimAPI__MakeCone] izdelamo tridimenzionalni model oblike stožca. Pri tem lahko uporabimo več različnih argumentov:
    308311 * (Radij_1, Radij_2, Visina) ... izdelamo stožec z osnovo radija 1 ter na višini H z radijem 2[[BR]][[BR]]
    309312 * (Radij_1, Radij_2, Visina, Kot_radiani) ... izdelamo delni stožec, določen s kotom, z osnovo radija 1 ter na višini H z radijem 2[[BR]][[BR]]
    310  * (Os, Radij_1, Radij_2, Visina, Kot_radiani) ... izdelamo delni stožec okoli izbrane osi, določen s kotom, z osnovo radija 1 ter na višini H z radijem 2[[BR]][[BR]]
    311 [[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    312 
    313 Izdelava sfere [[Image(Sfera.png, right)]]
     313 * (Os, Radij_1, Radij_2, Visina, Kot_radiani) ... izdelamo delni stožec okoli izbrane osi, določen s kotom, z osnovo radija 1 ter na višini H z radijem 2
     314
     315Izdelava sfere
    314316{{{
    315317#!python
     
    318320sphere= BRepPrimAPI_MakeSphere(Radij, Kot_a1_rad, Kot_a2_rad, Kot_radiani)
    319321}}}
     322[[Image(Sfera.png)]]
     323
    320324Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeSphere.html BRepPrimAPI__MakeSphere] izdelamo tridimenzionalni model oblike sfere. Pri tem lahko uporabimo več različnih argumentov:
    321  * (Radij) ... izdelave sfere z radijem[[BR]][[BR]]
    322  * (Radij, Kot_radiani) ... izdelave delne sfere z radijem[[BR]][[BR]]
     325 * (Radij) ... izdelave sfere z radijem
     326 * (Radij, Kot_radiani) ... izdelave delne sfere z radijem
    323327 * (Radij, Kot_a1_rad, Kot_a2_rad) ... izdelave sfere, ki ima odstanjen sredinski del pod kotom 1 in kotom 2[[BR]][[BR]]
    324  * (Radij, Kot_a1_rad, Kot_a2_rad, Kot_radiani) ... izdelave delne sfere, ki ima odstanjen sredinski del pod kotom 1 in kotom 2[[BR]][[BR]]
    325 [[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    326 
    327 Izdelava torusa [[Image(Torus.png, right)]]
     328 * (Radij, Kot_a1_rad, Kot_a2_rad, Kot_radiani) ... izdelave delne sfere, ki ima odstanjen sredinski del pod kotom 1 in kotom 2
     329
     330
     331Izdelava torusa
    328332{{{
    329333#!python
     
    332336torus= BRepPrimAPI_MakeTorus(Radij_torusa, Radij_prereza, Kot_a1_rad, Kot_a2_rad)
    333337}}}
     338[[Image(Torus.png)]]
     339
    334340Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeTorus.html BRepPrimAPI__MakeTorus] izdelamo tridimenzionalni model oblike torusa. Pri tem lahko uporabimo več različnih argumentov:
    335341 * (Radij_torusa, Radij_prereza) ... izdelava torusa s središčnim radijem ter polmerom prereza[[BR]][[BR]]
    336342 * (Radij_torusa, Radij_prereza, Kot_radiani) ... izdelava delnega torusa s središčnim radijem ter polmerom prereza[[BR]][[BR]]
    337  * (Radij_torusa, Radij_prereza, Kot_a1_rad, Kot_a2_rad) ... izdelava delnega torusa, ki ima odstanjen sredinski del pod kotom 1 in kotom 2[[BR]][[BR]]
    338 [[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    339 
    340 Izdelava izvleka [[Image(Izvlek_2.png, right)]]
     343 * (Radij_torusa, Radij_prereza, Kot_a1_rad, Kot_a2_rad) ... izdelava delnega torusa, ki ima odstanjen sredinski del pod kotom 1 in kotom 2
     344
     345
     346Izdelava izvleka
    341347{{{
    342348#!python
     
    344350Izvlek = BRepPrimAPI_MakePrism(Povrsina , Smer)
    345351}}}
     352[[Image(Izvlek_2.png)]]
     353
    346354Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakePrism.html BRepPrimAPI__MakePrism] izdelamo tridimenzionalni prizmatični model. Pri tem lahko uporabimo več različnih argumentov:
    347  * (Povrsina , Vektor) ... izberemo obstoječo površino ter jo izvlečemo za velikost vektorja[[BR]][[BR]]
    348  * (Povrsina , Smer) ... izberemo obstoječo površino ter jo izvlečemo v željeni smeri[[BR]][[BR]]
    349 [[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
    350 
    351 Izdelava krožnega izvleka [[Image(Izvlek_krozni.png, right)]]
     355 * (Povrsina , Vektor) ... izberemo obstoječo površino ter jo izvlečemo za velikost vektorja
     356 * (Povrsina , Smer) ... izberemo obstoječo površino ter jo izvlečemo v željeni smeri
     357
     358Izdelava krožnega izvleka
    352359{{{
    353360#!python
     
    355362Vrtenina = BRepPrimAPI_MakeRevol(Povrsina , Os, Kot_radiani)
    356363}}}
     364[[Image(Izvlek_krozni.png)]]
     365
    357366Z ukazom [http://opencascade.sourcearchive.com/documentation/6.3.0.dfsg.1/classBRepPrimAPI__MakeRevol.html BRepPrimAPI__MakeRevol] izdelamo tridimenzionalni osnosimetričnimodel. Pri tem lahko uporabimo več različnih argumentov:
    358  * (Povrsina , Os) ... zavrtimo izbrano površino okoli osi[[BR]][[BR]]
    359  * (Povrsina , Os, Kot_radiani) ... zavrtimo izbrano površino za kot okoli osi[[BR]][[BR]]
    360 [[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]][[BR]]
     367 * (Povrsina , Os) ... zavrtimo izbrano površino okoli osi
     368 * (Povrsina , Os, Kot_radiani) ... zavrtimo izbrano površino za kot okoli osi
    361369
    362370----
    363371
    364372== Uporaba menijev znotraj prikaznega okna ==
    365 [[BR]][[BR]]
    366  [[Image(Meniji.png, right)]]
     373 [[Image(Meniji.png)]]
     374
    367375Najprej je potrebno definirati funkcije, ki izvršijo ukaz (izdelajo neko obliko). Pri tem pred izrisom oblike počistimo modelno okno obstoječih oblik z ukazom [display.EraseAll()].
    368376{{{
     
    373381    display.DisplayShape(Oblika.Shape())
    374382}}}
    375 [[BR]][[BR]]
    376383
    377384Izdelava menija
     
    382389add_function_to_menu('Ime_menija',Funkcija2)
    383390}}}
    384 [[BR]][[BR]][[BR]][[BR]]